# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global alphatag a1

Name:           RunSnakeRun
Version:        2.0.2
Release:        alt1_0.3.%{alphatag}
Summary:        GUI Viewer for Python profiling runs

Group:          Development/Other
License:        BSD
URL:            http://www.vrplumber.com/programming/runsnakerun/
Source0:        http://pypi.python.org/packages/source/R/RunSnakeRun/RunSnakeRun-%{version}%{alphatag}.tar.gz
Source1:        RunSnakeRun.desktop

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
BuildRequires:  desktop-file-utils
Source44: import.info

# setup.py has:
#        install_requires = [
#            'SquareMap >= 1.0.1b3',
#        ],

%description
RunSnakeRun is a small GUI utility that allows you to view (Python) "cProfile"
or "Profile" profiler dumps in a sortable GUI view.  It allows you to explore
the profiler information using a "square map" visualization or sortable tables
of data.

%prep
%setup -q -n %{name}-%{version}%{alphatag}

# Remove redundant shebang from runsnake.py:
sed -i -e '/^#!/, 1d' runsnakerun/runsnake.py

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

desktop-file-install                                    \
--dir=${RPM_BUILD_ROOT}%{_datadir}/applications         \
%{SOURCE1}
 
%files
%doc license.txt doc
%{_bindir}/runsnake
%{_bindir}/runsnakemem
%{python_sitelibdir_noarch}/runsnakerun
%{python_sitelibdir_noarch}/RunSnakeRun*.egg-info
%{_datadir}/applications/RunSnakeRun.desktop

%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 2.0.2-alt1_0.3.a1
- initial fc import

